FG(1)

NAME
fg - bring job to foreground

SYNOPSIS

fg [PID]

DESCRIPTION

fg brings the specified job to the foreground, resuming it if it is stopped. While a foreground job is executed, fish is suspended. If no job is specified, the last job to be used is put in the foreground. If PID is specified, the job containing a process with the specified process ID is put in the foreground.

For compatibility with other shells, job expansion syntax is supported for fg. A PID of the format %1 will foreground job 1. Job numbers can be seen in the output of jobs.

EXAMPLE

fg will put the last job in the foreground.

fg %3 will put job 3 into the foreground.

COPYRIGHT
2021, fish-shell developers